package ajcon.custom.util.elements;

import java.util.ArrayList;
import java.util.List;

public class CJavaClassFile {

    private CPackageDecl CPackageDecl;

    private List<CImport> CImport;

    private List<CClass> CClass;

    private List<CInterface> CInterface;

    private String name;
    private String version;

    public CJavaClassFile() {
        CClass = new ArrayList<CClass>();
        CImport = new ArrayList<CImport>();
        CInterface = new ArrayList<CInterface>();
        CPackageDecl = null;
        name = null;
        version = null;
    }

    public List<CClass> getCClass() {
        return CClass;
    }

    public void setCClass(List<CClass> CClass) {
        this.CClass = CClass;
    }

    public List<CImport> getCImport() {
        return CImport;
    }

    public void setCImport(List<CImport> CImport) {
        this.CImport = CImport;
    }

    public List<CInterface> getCInterface() {
        return CInterface;
    }

    public void setCInterface(List<CInterface> CInterface) {
        this.CInterface = CInterface;
    }

    public CPackageDecl getCPackageDecl() {
        return CPackageDecl;
    }

    public void setCPackageDecl(CPackageDecl CPackageDecl) {
        this.CPackageDecl = CPackageDecl;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public void addCClass(CClass cc){
        this.CClass.add(cc);
    }

    public void addCImport(CImport cc){
        this.CImport.add(cc);
    }

    public void addCInterface(CInterface cc){
        this.CInterface.add(cc);
    }

}
